Update to Alpine 3.16 65/73565/3
authorCédric Ollivier <cedric.ollivier@orange.com>
Thu, 20 Oct 2022 11:15:24 +0000 (13:15 +0200)
committerCédric Ollivier <cedric.ollivier@orange.com>
Thu, 20 Oct 2022 14:49:42 +0000 (16:49 +0200)
Change-Id: Ib630178c93d4a991f43611796e0c07975ce421ec
Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
(cherry picked from commit 651fbe30a574fde8c62e7b73b3f05e40fba6e58b)

.circleci/config.yml
ansible/site.gate.yml
build.sh
docker/core/Dockerfile
tox.ini

index b03d49e..035f496 100644 (file)
@@ -3,7 +3,7 @@ version: 2
 jobs:
   build:
     docker:
-      - image: circleci/python:3.9
+      - image: circleci/python:3.10
     steps:
       - checkout
       - run:
index 0c0aa92..9cd12c2 100644 (file)
@@ -13,7 +13,7 @@
           - repo: _
             dport:
             container: alpine
-            tag: 3.15
+            tag: 3.16
         steps:
           - name: build opnfv/functest-kubernetes-core
             containers:
index 9cef1b3..0e27505 100644 (file)
--- a/build.sh
+++ b/build.sh
@@ -32,11 +32,11 @@ done
 [ ! -z "${amd64_dirs}" ] &&
     (docker rmi \
         "${repo}/functest-kubernetes-core:amd64-v1.25" \
-        alpine:3.15 || true)
+        alpine:3.16 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 find . -name Dockerfile -exec sed -i \
-    -e "s|alpine:3.15|arm64v8/alpine:3.15|g" {} +
+    -e "s|alpine:3.16|arm64v8/alpine:3.16|g" {} +
 find . -name Dockerfile -exec sed -i \
     -e "s|opnfv/functest-kubernetes-core:v1.25|\
 ${repo}/functest-kubernetes-core:arm64-v1.25|g" {} +
@@ -56,11 +56,11 @@ for dir in ${arm64_dirs}; do
 done
 [ ! -z "${arm64_dirs}" ] &&
     (docker rmi "${repo}/functest-kubernetes-core:arm64-v1.25" \
-        arm64v8/alpine:3.15 || true)
+        arm64v8/alpine:3.16 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 find . -name Dockerfile -exec sed -i \
-    -e "s|alpine:3.15|arm32v7/alpine:3.15|g" {} +
+    -e "s|alpine:3.16|arm32v7/alpine:3.16|g" {} +
 find . -name Dockerfile -exec sed -i \
     -e "s|opnfv/functest-kubernetes-core:v1.25|\
 ${repo}/functest-kubernetes-core:arm-v1.25|g" {} +
@@ -80,7 +80,7 @@ for dir in ${arm_dirs}; do
 done
 [ ! -z "${arm_dirs}" ] &&
     (docker rmi "${repo}/functest-kubernetes-core:arm-v1.25" \
-        arm32v7/alpine:3.15 || true)
+        arm32v7/alpine:3.16 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 exit $?
index e0459ff..ac5b963 100644 (file)
@@ -1,4 +1,4 @@
-FROM alpine:3.15
+FROM alpine:3.16
 
 ARG BRANCH=stable/v1.25
 ARG OPENSTACK_TAG=stable/yoga
@@ -18,11 +18,6 @@ RUN apk -U upgrade && \
     case $(uname -m) in aarch*|arm*) \
         sed -i -E /^PyNaCl=/d /src/requirements/upper-constraints.txt && \
         apk add --no-cache py3-pynacl ;; esac && \
-    sed -i -E /^six=/d /src/requirements/upper-constraints.txt && \
-    sed -i -E /^distlib=/d /src/requirements/upper-constraints.txt && \
-    sed -i -E /^packaging=/d /src/requirements/upper-constraints.txt && \
-    apk --no-cache add --update py3-distlib\>=0.3.1 \
-        --repository=http://dl-cdn.alpinelinux.org/alpine/edge/main && \
     git init /src/functest-kubernetes && \
     (cd /src/functest-kubernetes && \
         git fetch --tags https://gerrit.opnfv.org/gerrit/functest-kubernetes $BRANCH && \
@@ -36,7 +31,7 @@ RUN apk -U upgrade && \
         -c/src/requirements/upper-constraints.txt \
         /src/functest-kubernetes && \
     (cd /src/rally && patch -p1 < /tmp/Switch-to-threading.Thread-for-Rally-tasks.patch) && \
-    (cd /usr/lib/python3.9/site-packages/xrally_kubernetes/ && \
+    (cd /usr/lib/python3.10/site-packages/xrally_kubernetes/ && \
         patch -p2 < /tmp/Try-a-quick-fix-vs-asynchronuous-issues.patch) && \
     rm -rf /src/functest-kubernetes /tmp/Switch-to-threading.Thread-for-Rally-tasks.patch && \
     bash -c "mkdir -p /var/lib/xtesting /home/opnfv" && \
diff --git a/tox.ini b/tox.ini
index 59c1735..493c951 100644 (file)
--- a/tox.ini
+++ b/tox.ini
@@ -1,11 +1,11 @@
 [tox]
-envlist = pep8,pylint,yamllint,bashate,py39,bandit,perm
+envlist = pep8,pylint,yamllint,bashate,py310,bandit,perm
 
 [testenv]
 pip_version = pip==20.2.4
 usedevelop = True
 deps =
-  -chttps://git.opnfv.org/functest/plain/upper-constraints.txt
+  -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=stable/yoga
   -c{env:UPPER_CONSTRAINTS_FILE:https://opendev.org/openstack/requirements/raw/branch/master/upper-constraints.txt}
   -r{toxinidir}/requirements.txt
   -r{toxinidir}/test-requirements.txt
@@ -19,17 +19,17 @@ commands = nosetests --with-xunit \
   functest_kubernetes
 
 [testenv:pep8]
-basepython = python3.9
+basepython = python3.10
 commands = flake8
 
 [testenv:pylint]
-basepython = python3.9
+basepython = python3.10
 commands = pylint \
     --ignore-imports=y --min-similarity-lines=10 \
     --disable=locally-disabled,wrong-import-order --reports=n functest_kubernetes
 
 [testenv:yamllint]
-basepython = python3.9
+basepython = python3.10
 files =
   .travis.yml
   docker
@@ -37,21 +37,21 @@ commands =
   yamllint {[testenv:yamllint]files}
 
 [testenv:bandit]
-basepython = python3.9
+basepython = python3.10
 commands = bandit -r functest_kubernetes -x tests -n 5 -ll
 
 [testenv:py37]
 commands = nosetests functest_kubernetes
 
 [testenv:bashate]
-basepython = python3.9
+basepython = python3.10
 files =
   build.sh
   functest_kubernetes/ci/download_images.sh
 commands = bashate -e E005,E006,E042,E043 {[testenv:bashate]files}
 
 [testenv:perm]
-basepython = python3.9
+basepython = python3.10
 whitelist_externals = bash
 path=. -not -path './.tox/*' -not -path './.git/*' -not -path './doc/pres/reveal.js/*'
 commands =